Bug 51671 - [XLS] FILEOPEN particular .XLS uses all chart data instead of first row for Legend
Summary: [XLS] FILEOPEN particular .XLS uses all chart data instead of first row for L...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: OOXML-Chart Chart-Legends
  Show dependency treegraph
 
Reported: 2012-07-02 14:40 UTC by Valek Filippov
Modified: 2018-12-19 09:31 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
file with a problem (20.00 KB, application/vnd.ms-excel)
2012-07-02 14:40 UTC, Valek Filippov
Details
Screenshot from XL2003 (44.99 KB, image/png)
2012-07-02 14:40 UTC, Valek Filippov
Details
xlsx version of bugdoc (12.48 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-12-08 20:00 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-07-02 14:40:05 UTC
Created attachment 63733 [details]
file with a problem

LO Calc 3.6b2 put more items on legend than it should be.
In addition background gradient seems to be inverted.
Comment 1 Valek Filippov 2012-07-02 14:40:58 UTC
Created attachment 63734 [details]
Screenshot from XL2003

How it should look like.
Comment 2 Rainer Bielefeld Retired 2012-07-03 00:24:02 UTC
[Reproducible] with "LibreOffice  3.5.5.2.  German UI/Locale [Build-ID:
24b32b4-b87ec2e-85c8e98-87a4e20-9a1b8c1] on German WIN7 Home Premium (64bit),
same with LibO 3.3.3 and OOo 3.1.1, so inherited from OOo.

More or less the same with LibO 3.3.3, AOOo 3.4, OOo 3.1.1, so inherited from
OOo.

Looks ok with Gnumeric and with MS EXCEL Viewer. 

I doubt that many users are affected, so currently not MAB

@Kohei, @Markus:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept
this Bug
Comment 3 Teo91 2013-09-30 13:31:35 UTC
I can confirm this with LO 4.1.1 on Windows 7 SP1:
- the legend shows more items than it should be
- the X axis lost numbers "1" and "2"
The background gradient, instead, seems good.
Comment 4 QA Administrators 2015-04-01 14:41:41 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-04-23 19:15:06 UTC
Confirmed the legend problem.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 6 QA Administrators 2016-09-20 09:32:14 UTC Comment hidden (obsolete)
Comment 7 krishna [:kr1shna] 2017-05-31 12:44:25 UTC
reproducible with version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1
Comment 8 QA Administrators 2018-06-16 02:46:09 UTC Comment hidden (obsolete)
Comment 9 Markus Mohrhard 2018-12-05 02:01:23 UTC
The legend issue is related to the LegendException record. The document actually contains that many different data series but contains a special record that marks the legend of most of them as deleted.

See the LegendException entry of the series in current oletoy.

I'm not sure if that feature is actually supported by our current implementation.
Comment 10 Markus Mohrhard 2018-12-05 02:48:46 UTC
Was a nice and simple task. However I need to add a UI entry and an ODF extension as well.
Comment 11 Commit Notification 2018-12-05 14:44:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c32a4c2fac32b766a05473d037d73cbcd972dadd%5E%21

tdf#51671, implement feature to disable legend entry for series

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-12-05 14:44:38 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/19b2ed4dee1ec33ad55473d43bfcd0bfa194cbee%5E%21

related tdf#51671, add UI options for new "hide legend entry" feature

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-12-08 00:26:17 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7869b3d6e4b24a0567ad2e492038d74c03b06b7d%5E%21

related tdf#51671, store new "hide legend" feature also in ODF

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Luke 2018-12-08 20:00:20 UTC
Created attachment 147392 [details]
xlsx version of bugdoc

Markus,
Thanks for fixing this. The xls format is working great! 

Could you fix up the xlsx importer too? If so, you want to track it here or should I file a new report?
Comment 15 Markus Mohrhard 2018-12-08 20:59:02 UTC
(In reply to Luke from comment #14)
> Created attachment 147392 [details]
> xlsx version of bugdoc
> 
> Markus,
> Thanks for fixing this. The xls format is working great! 
> 
> Could you fix up the xlsx importer too? If so, you want to track it here or
> should I file a new report?

Please open a new bug report.
Comment 16 Luke 2018-12-09 02:15:33 UTC
Done. See Bug 121991 

Thanks again Markus!
Comment 17 Xisco Faulí 2018-12-19 09:31:33 UTC
Added to the release notes -> https://wiki.documentfoundation.org/ReleaseNotes/6.3#Chart